Commits

Anonymous committed 8ec44cc

Add excanvas only for lt ie8

  • Participants
  • Parent commits 9c01e00

Comments (0)

Files changed (1)

js/jquery_flot/__init__.py

 
 library = fanstatic.Library('flot', 'resources')
 
+def less_than_ie8_renderer(url):
+    return ('<!--[if lte IE 8]><script language="javascript" '
+        'type="text/javascript" src="%s"></script><![endif]-->') % url
+
 excanvas = fanstatic.Resource(library, 'excanvas.js',
-    minified='excanvas.min.js')
+    minified='excanvas.min.js', renderer=less_than_ie8_renderer)
+
 
 flot = fanstatic.Resource(library, 'jquery.flot.js',
-    minified='jquery.flot.min.js',
-    depends=[js.jquery.jquery, excanvas])
+    minified='jquery.flot.min.js', depends=[js.jquery.jquery, excanvas])